package com.boman.web.core.domain;

import com.boman.domain.annotation.Excel;
import com.boman.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 考勤设置对象 attendance_set
 * 
 * @author ruoyi
 * @date 2021-06-04
 */
public class AttendanceSet extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 考勤地址 */
    @Excel(name = "考勤地址")
    private String attendanceAdd;

    /** 经度 */
    @Excel(name = "经度")
    private String lgt;

    /** 纬度 */
    @Excel(name = "纬度")
    private String lat;

    /** 范围(米) */
    @Excel(name = "范围(米)")
    private String limitRange;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private String isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAttendanceAdd(String attendanceAdd) 
    {
        this.attendanceAdd = attendanceAdd;
    }

    public String getAttendanceAdd() 
    {
        return attendanceAdd;
    }
    public void setLgt(String lgt) 
    {
        this.lgt = lgt;
    }

    public String getLgt() 
    {
        return lgt;
    }
    public void setLat(String lat) 
    {
        this.lat = lat;
    }

    public String getLat() 
    {
        return lat;
    }

    public String getLimitRange() {
        return limitRange;
    }

    public void setLimitRange(String limitRange) {
        this.limitRange = limitRange;
    }
    public void setIsDel(String isDel)
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("attendanceAdd", getAttendanceAdd())
            .append("lgt", getLgt())
            .append("lat", getLat())
            .append("range", getLimitRange())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .toString();
    }
}
